summaryrefslogtreecommitdiffstats
path: root/src/jaegertracing/jaeger-client-cpp/scripts/build-plugin.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 18:45:59 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 18:45:59 +0000
commit19fcec84d8d7d21e796c7624e521b60d28ee21ed (patch)
tree42d26aa27d1e3f7c0b8bd3fd14e7d7082f5008dc /src/jaegertracing/jaeger-client-cpp/scripts/build-plugin.sh
parentInitial commit. (diff)
downloadceph-19fcec84d8d7d21e796c7624e521b60d28ee21ed.tar.xz
ceph-19fcec84d8d7d21e796c7624e521b60d28ee21ed.zip
Adding upstream version 16.2.11+ds.upstream/16.2.11+dsupstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to '')
-rwxr-xr-xsrc/jaegertracing/jaeger-client-cpp/scripts/build-plugin.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/src/jaegertracing/jaeger-client-cpp/scripts/build-plugin.sh b/src/jaegertracing/jaeger-client-cpp/scripts/build-plugin.sh
new file mode 100755
index 000000000..192c824d0
--- /dev/null
+++ b/src/jaegertracing/jaeger-client-cpp/scripts/build-plugin.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+set -e
+
+function main() {
+ local project_dir
+ project_dir="$(git rev-parse --show-toplevel)"
+
+ mkdir -p build
+ cd build
+ export CFLAGS="$CFLAGS -march=x86-64"
+ export CXXFLAGS="$CXXFLAGS -march=x86-64"
+
+ cat <<EOF > export.map
+{
+ global:
+ OpenTracingMakeTracerFactory;
+ local: *;
+};
+EOF
+
+ cmake -DCMAKE_BUILD_TYPE=Release \
+ -DJAEGERTRACING_PLUGIN=ON \
+ -DBUILD_TESTING=ON \
+ -DHUNTER_CONFIGURATION_TYPES=Release \
+ ..
+ make -j3
+ mv libjaegertracing_plugin.so /libjaegertracing_plugin.so
+ ./DynamicallyLoadTracerTest /libjaegertracing_plugin.so
+}
+
+main